/*
  Main Stylesheet for site-wide things
*/

/* Fonts */
@font-face {
  font-family: title;
  src: url('/font/LeagueMono-ExtraBold.woff2');
}

@font-face {
  font-family: menu;
  src: url('/font/LeagueMono-Regular.woff2');
}

@font-face {
  font-family: bold;
  src: url('/font/LeagueMono-Bold.woff2');
}

@font-face {
  font-family: light;
  src: url('/font/LeagueMono-Light.woff2');
}

@font-face {
  font-family: medium;
  src: url('/font/LeagueMono-Medium.woff2');
}

@font-face {
  font-family: semibold;
  src: url('/font/LeagueMono-SemiBold.woff2');
}

@font-face {
  font-family: thin;
  src: url('/font/LeagueMono-Thin.woff2');
}

@font-face {
  font-family: ultralight;
  src: url('/font/LeagueMono-UltraLight.woff2');
}

/* Color Variables */

:root {
  --off-white: #F0F7D4;
  --green: #BBE524;
  --red: #FF230F;
  --blue: #2682A6;
  --orange: #fb9902;
  
  --dark-blue: #002C3D;
  --light-blue: #004966;

  --grey-1: #111;
  --grey-2: #222;
  --grey-3: #333;
  --grey-5: #555;
  --grey-80: #808080;
  
  /* For Warning Boxes */
  --warn-yellow: #ffc30f;
  --warn-bright-yellow: #fff9e6;
  --warn-red: #ffd0cc;
  
  /* For Tags */
  --faint-green: #dcf28d;
  --faint-red: #ff8a80;
  --faint-blue: #97d1e7
  --faint-orange: #fecc81;
  
  /* For Link Selection */
  --lighter-blue: #82c7e3;
  --lighter-green: #ceec5f;
  
  /* Other Colors, not in scheme */
  --usc-garnet: #73000a;
}

/* Setting Tags */

:root {
}

/* Purpose-Color Tags */

:root {
  --link: var(--green);
}

/* HTML Tags */

html {
  
}

body {
  margin: 0px;
}

/* Content Block */
main {
  min-height: 80vh; /* Note: 1vh ~= 1% viewport Height */
  /*background-color: green;*/
  margin: 0px 0px;
  font-family: light;
}

main.sidebar {
  margin-left: 20%;
}

/* Use this to Center Items */
.container {
  margin: 0% 20%;
  overflow: auto;
  width: 60%;
}

.container.left {
  
}

/* Maked Margins Smaller for Mobile Screens */
@media only screen and (max-width: 767px) {
  .container {
    margin: 0% 1%;
    width: 98%;
  }
}

/* This is legacy. Use a Titlecard */
main .title {
  margin: 0px;
  padding: 0px;
  font-size: 4rem;
  border-left: 0px;
  font-family: bold;
}

/* This is the Navigator Bar */
main nav {
  background-color: #111111;
  color: white;
  margin: 0px;
  padding: 5px 0px;
}

main nav span {
  font-family: semibold;
  font-size: 24px;
  display: block;
  float: left;
  padding: 1px 10px 1px 1px;
}

main nav ul {
  list-style-type: none;
  display: inline;
  margin: 0px;
}

main nav ul li {
  padding: 1px 15px 1px 0px;
  font-family: semibold;
  color: gray;
  display: inline-block;
}

main nav ul li * {
  margin: 5px 0px;
  padding: 0px;
}

/* May change the Link color at some point */
main nav ul li a:link, main nav ul li a:visited {
  color: #BBE524;
  text-decoration: none;
  
}

main nav ul li a:hover {
  color: white;
  text-decoration: none;
}

/* Header Decorations */
main h1 {
  margin: 10px 0px;
  font-family: semibold;
  border-left: 5px solid #333333;
  padding: 1px 1px 1px 10px;
}

main h2 {
  margin: 5px 0px;
  font-family: semibold;
  border-left: 5px solid #444444;
  padding: 1px 1px 1px 10px;
}

main h3 {
  margin: 5px 0px;
  font-family: semibold;
  border-left: 5px solid #555555;
  padding: 1px 1px 1px 10px;
}

main h4 {
  margin: 5px 0px;
  font-family: semibold;
  border-left: 5px solid #666666;
  padding: 1px 1px 1px 10px;
}

main h5 {
  margin: 5px 0px;
  font-family: semibold;
  border-left: 5px solid #777777;
  padding: 1px 1px 1px 10px;
}

main h6 {
  margin: 5px 0px;
  font-family: semibold;
  border-left: 5px solid #888888;
  padding: 1px 1px 1px 10px;
}

main *.no-line {
  border-left: 0;
  padding: 0;
}

main .invert {
  background-color: #333;
  color: white;
  border-color: #555;
}
/* END Header Decorations */

main p {
  margin: 10px 0px;
}

img {
  width: 100%;
  height: auto;
  margin: 0px;
  padding: 0px;
  display: block;
}

img.blur {
  filter: blur(25px);
  -webkit-filter: blur(25px);
}

main figure {
  margin: 5px 0px;
  padding: 0px;
  background-color: #002C3D;
  color: white;
}

main figure .figure {
  color: gray;
}

main figure figcaption {
  margin: 0px;
  padding: 5px 5px 5px 20px;
  font-family: ultralight;
  border-left: 5px solid #004966;
}

main figure.white {
  background-color: white;
  color: #333;
  font-family: bold;
  padding: 5px;
  margin: 0;
}

main figure.white figcaption {
  color: #333;
  font-family: bold;
  border-left: 0;
  text-align: center;
  padding: 0;
}

img.noresize {
  width: auto;
  height: auto;
  margin: auto;
  text-align:center;

}

img.noresize.right {
  margin-left: auto;
  margin-right: 0;
}


hr {
  border-style: solid;
  border-color: #999;
  margin: 10px 0px;
}

hr.white {
  border-color: white;
}

/* Table Styling */
main table {
  border-collapse: collapse;
  text-align: left;
  width: 100%;
  margin: 10px 0px;
}

main table caption {
  text-align: left;
  background-color: #555;
  color: white;
  font-family: light;
  padding: 5px;
  border-left: 5px solid #333;
}

main table thead {
  border-left: 5px solid black;
  color: white;
}

main table tfoot {
  border-left: 5px solid #2682A6;
}

main table tr:nth-child(even) {
  background-color: #eee;
}

main table tr:nth-child(odd) {
  background-color: #fff;
}

main table th {
  background-color: #002C3D;
  color: white;
  padding: 5px;
  font-family: menu;
  font-size: 17.5px;
}

main table td {
  font-family: light;
  padding: 5px;
}

main table tr:hover {
  background-color: #F0F7D4;
}

/* END Table Styling */

code {
  font-family: light;
  background-color: transparent;
}

/* Details Tag */
details {
  /*border-left: 5px solid black;*/
  background-color: rgba(0,0,0,1);
  font-family: semibold;
}

/* Removes the Twisty Triangle */
details > summary::-webkit-details-marker {
  display: none;
}

summary {
  background-color: #eee;
  color: black;
}

details[open] {
  background-color: #eee;
  color: black;
}

details[open] > *:not(summary) {
  font-family: light;
}

details[open] summary {
  background-color: black;
  color: white;
}

/* END Details Tag */

blockquote {
  border-left: 5px solid #555555;
  background-color: #eee;
  margin: 0px;
  padding: 1em 1em 1em 3em;
  font-family: light;
  font-style: italic;
}

abbr {
  border-bottom: 2.5px solid #333;
}

a:link, a:visited {
  color: #81a013;
  text-decoration: none;
}

a:hover, a:active {
  color: #BBE524;
  text-decoration: none;
}

a.button {
  border-radius: 5px;
  border: 0;
  background-color: #333;
  color: #eee;
  padding: 7px;
  font-family: semibold;
  text-align: center;
  display: inline-block;
}

a.button.garnet {
  background-color: #73000a;
  color: #eee;
}

a.button.acm-blue {
  background-color: #0492d2;
  color: #eee;
}

a.button.garnet:hover, a.button.garnet:active {
  background-color: #eee;
  color: #73000a;
}

a.button.acm-blue:hover, a.button.acm-blue:active {
  background-color: #eee;
  color: #0492d2;
}

a.button:hover, a.button:active {
  background-color: #eee;
  color: #333;
}

kbd {
  border-radius: 5px;
  border: 1px solid black;
  padding: 2.5px;
  color: black;
  background-color: white;
  font-family: light;
  min-width: 10000em;
  min-height: 3em;
}

kbd.dark {
  background-color: #111;
  color: white;
  font-family: light;
}

samp {
  font-family: thin;
}

dl dt {
  font-family: semibold;
}

/* BEGIN Text Alignment */

.left {
  text-align: left;
}

.right {
  text-align: right;
}

/* END Text Alignment */

/* BEGIN Content Indentation */
.indent {
  margin-left: 3em;
}
/* END Content Indentation */

